<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>English breakfast exercise</title>
</head>

<body>
    <!--   У вас есть массив строк, каждая строка - один продукт, который входит в состав английского завтрака.
    Напишите код, который работает так: если в состав завтрака входит больше 4х продуктов, то остальные переносятся на обед.
 -->

    <script>

        const changeEnglishBreakfast = (array) => {
            if (array.length > 4) {
                return array.slice(4);
            }
            return 0;
        };
        const englishBreakfast = ["поджареный бекон", "колбаски", "яичница", "жареные грибы", "жареные помидоры", "фасоль", "хлеб с джемом", "кофе"];

        /* в результате массив englishBreakfast должен быть равен:        
        englishBreakfast = ["поджареный бекон", "колбаски", "яичница", "жареные грибы"];
        
        и должен появится еще массив dinner, со значениями:
        dinner = ["жареные помидоры", "фасоль", "хлеб с джемом", "кофе"];
        */
        console.log(changeEnglishBreakfast(englishBreakfast))
    </script>

</body>

</html>
